Skip to main content
GET
/
dca
/
collectors
/
{collector_id}
/
refactor_template
/
progress
Get Self-Healing Job Progress
curl --request GET \
  --url https://api.brightdata.com/dca/collectors/{collector_id}/refactor_template/progress \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.brightdata.com/dca/collectors/{collector_id}/refactor_template/progress"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.brightdata.com/dca/collectors/{collector_id}/refactor_template/progress', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Use your Bright Data API Key as a Bearer token in the Authorization header.

How to authenticate:

  1. Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
  2. Include the API Key in the Authorization header of your requests
  3. Format: Authorization: Bearer YOUR_API_KEY

Example:

Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df

Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication

Path Parameters

collector_id
string
required

Collector ID returned by the Create Scraper Template API endpoint.

Response

200

Self-healing job progress status